<?php
error_reporting(E_ALL & ~E_NOTICE); 
header('Content-Type:text/html;charset=utf-8');
require_once './lib/medoo.php';
$db = new medoo(array(
    'database_type' => 'mysql',
	'database_name' => '此处修改为您的数据库名，例如mysql',
    'server' => '此处修改为您的数据库IP地址，例如122.121.1.109，如果数据库和php文件在同一个服务器上，此处请填localhost',
    'username' => '此处修改为您的数据库用户名，例如root',
    'password' => '此处修改为您的数据库密码，例如1234567',
    'charset' => 'utf8'
));
If(Isset($_POST['sql'])){
	$sql=$_POST['sql'];
	$fh=$db->query($sql)->fetchAll(); 
	echo json_encode(array("queryString"=>$sql,"data"=>$fh));
}else{
	echo json_encode(array("data"=>null));
}
?>